---
schema_version: "1"
id: 50c5c9bd7d8e797126bbdb7b2a40d341973f18e10abd40b0a8dd30ab27593a13
title: Update a Record with a Quick Action
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_update_action.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_update_action.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: d67c53a8b386412ae2ddb07fb3ea973c143d90bcd3022032e230772f28f81047
description: Perform an Update a Record quick action. To perform a quick action that creates or updates a record, you can also use the POST method.
---
# Update a Record with a Quick Action

Perform an Update a Record quick action. To perform a quick action that creates or updates a record, you can also use the POST method.

Resource

/ui-api/actions/perform-quick-action/${actionApiName}

actionApiName—The API name of a quick action.

Available Version

58.0

HTTP Method

PATCH

Example

This example updates fields on an Account.

PATCH /services/data/v68.0/ui-api/actions/perform-quick-action/Account.UpdateAccount

{
 "apiName": "Account",
 "contextId": "001RO000003zKsYYAU",  
 "fields": {
   "Type": "Prospect",
   "Phone": "(785) 241-6200"
 }
}

Request Parameters

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| performQuickActionInput | [Perform Action Input](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_perform_action_input.htm "Perform a quick action that creates or updates a record.") | The data for the quick action. | Required | 58.0 |

Response Body

[Quick Action Execution](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_perform_action.htm "The results that are returned when a quick action executes.")

#### See Also

- [Perform Quick Actions](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_perform_action.htm "Perform a quick action that creates or updates a record.")